GXTFolderItemTypeEnum (gCube Messages Portlet 0.4.0-3.1.0 API)
Date: 2014-05-11

org.gcube.portlets.user.messages.shared

## Enum GXTFolderItemTypeEnum

- java.lang.Object
- - java.lang.Enum<GXTFolderItemTypeEnum>
  - - org.gcube.portlets.user.messages.shared.GXTFolderItemTypeEnum

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.IsSerializable, Serializable, Comparable<GXTFolderItemTypeEnum>

      public enum GXTFolderItemTypeEnum
      extends Enum<GXTFolderItemTypeEnum>
      implements com.google.gwt.user.client.rpc.IsSerializable

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANNOTATION`
    `DOCUMENT`
    `EXTERNAL_FILE`
    `EXTERNAL_IMAGE`
    `EXTERNAL_PDF_FILE`
    `EXTERNAL_RESOURCE_LINK`
    `EXTERNAL_URL`
    `FOLDER`
    `IMAGE_DOCUMENT`
    `METADATA`
    `PDF_DOCUMENT`
    `QUERY`
    `REPORT`
    `REPORT_TEMPLATE`
    `TIME_SERIES`
    `UNKNOWN_TYPE`
    `URL_DOCUMENT`
    `WORKFLOW_REPORT`
    `WORKFLOW_TEMPLATE`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `label`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLabel()`
    `static GXTFolderItemTypeEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GXTFolderItemTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXTERNAL_FILE

          public static final GXTFolderItemTypeEnum EXTERNAL_FILE

    - #### EXTERNAL_IMAGE

          public static final GXTFolderItemTypeEnum EXTERNAL_IMAGE

    - #### EXTERNAL_PDF_FILE

          public static final GXTFolderItemTypeEnum EXTERNAL_PDF_FILE

    - #### EXTERNAL_URL

          public static final GXTFolderItemTypeEnum EXTERNAL_URL

    - #### EXTERNAL_RESOURCE_LINK

          public static final GXTFolderItemTypeEnum EXTERNAL_RESOURCE_LINK

    - #### QUERY

          public static final GXTFolderItemTypeEnum QUERY

    - #### REPORT

          public static final GXTFolderItemTypeEnum REPORT

    - #### REPORT_TEMPLATE

          public static final GXTFolderItemTypeEnum REPORT_TEMPLATE

    - #### TIME_SERIES

          public static final GXTFolderItemTypeEnum TIME_SERIES

    - #### DOCUMENT

          public static final GXTFolderItemTypeEnum DOCUMENT

    - #### IMAGE_DOCUMENT

          public static final GXTFolderItemTypeEnum IMAGE_DOCUMENT

    - #### PDF_DOCUMENT

          public static final GXTFolderItemTypeEnum PDF_DOCUMENT

    - #### URL_DOCUMENT

          public static final GXTFolderItemTypeEnum URL_DOCUMENT

    - #### METADATA

          public static final GXTFolderItemTypeEnum METADATA

    - #### WORKFLOW_REPORT

          public static final GXTFolderItemTypeEnum WORKFLOW_REPORT

    - #### WORKFLOW_TEMPLATE

          public static final GXTFolderItemTypeEnum WORKFLOW_TEMPLATE

    - #### UNKNOWN_TYPE

          public static final GXTFolderItemTypeEnum UNKNOWN_TYPE

    - #### ANNOTATION

          public static final GXTFolderItemTypeEnum ANNOTATION

    - #### FOLDER

          public static final GXTFolderItemTypeEnum FOLDER

  - ### Field Detail

    - #### label

          protected String label

  - ### Method Detail

    - #### values

          public static GXTFolderItemTypeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GXTFolderItemTypeEnum c : GXTFolderItemTypeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GXTFolderItemTypeEnum valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLabel

          public String getLabel()

Copyright © 2014. All Rights Reserved.